Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CallDiscardReason

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.CallDiscardReason

Direct Known Subclasses:
  `TdApi.CallDiscardReasonDeclined`, `TdApi.CallDiscardReasonDisconnected`, `TdApi.CallDiscardReasonEmpty`, `TdApi.CallDiscardReasonHungUp`, `TdApi.CallDiscardReasonMissed`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.CallDiscardReason extends TdApi.Object permits TdApi.CallDiscardReasonEmpty, TdApi.CallDiscardReasonMissed, TdApi.CallDiscardReasonDeclined, TdApi.CallDiscardReasonDisconnected, TdApi.CallDiscardReasonHungUp
This class is an abstract base class. Describes the reason why a call was discarded.

## Constructor Summary

Constructors
Constructor
Description
`CallDiscardReason()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CallDiscardReason

public CallDiscardReason()
Default class constructor.